# RequestedConnectionStruct Struct Reference

Connection request handling. More...

`#include <NetworkTypes.h>`

List of all members.

## Public Attributes

PlayerID | playerId
unsigned long | time
unsigned char | AESKey [16]
bool | setAESKey
unsigned long | nextRequestTime

## Detailed Description

Connection request handling.

This structure is used internaly to store the connection request

## Member Data Documentation

unsigned char RequestedConnectionStruct::AESKey[16]

| Security key

unsigned long RequestedConnectionStruct::nextRequestTime

| Next time we will try to connect

PlayerID RequestedConnectionStruct::playerId

| Who we wanted to connect to.

bool RequestedConnectionStruct::setAESKey

| true if security policy are enabled

unsigned long RequestedConnectionStruct::time

| When will we requested this connection.

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/NetworkTypes.h